Package generic.theme.laf

# Class FlatUiDefaultsMapper

java.lang.Object
generic.theme.laf.UiDefaultsMapper
generic.theme.laf.FlatUiDefaultsMapper

Direct Known Subclasses:
  `FlatDarkUiDefaultsMapper`

public class FlatUiDefaultsMapper extends UiDefaultsMapper

- ## Field Summary

  ### Fields inherited from class generic.theme.laf.UiDefaultsMapper

  `defaultColorMatcher, defaultFontMatcher, defaults, ignoredJavaIds, LAF_COLOR_ID_PREFIX, LAF_FONT_ID_PREFIX, LAF_ICON_ID_PREFIX, LAF_PROPERTY_PREFIX, menuFontGrouper, tooltipColorGrouper, viewColorGrouper, viewFontGrouper`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FlatUiDefaultsMapper(UIDefaults defaults)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `registerIgnoredJavaIds()`
  Registers any `LookAndFeel` ids that are not used directly (e.g.

  ### Methods inherited from class generic.theme.laf.UiDefaultsMapper

  `assignNormalizedColorValues, buildComponentToColorGrouperMap, buildComponentToFontGrouperMap, extractColorFontAndIconValuesFromDefaults, getNormalizedIdToLafIdMap, getNormalizedJavaDefaults, installGColorsIntoUIDefaults, installValuesIntoUIDefaults, overrideColor, pickRepresentativeValueForColorGroups, pickRepresentativeValueForFontGroups, setComponentFont, setGroupColor, setGroupColorUsingJavaRepresentative, setGroupFont`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlatUiDefaultsMapper

    protected FlatUiDefaultsMapper(UIDefaults defaults)

- ## Method Details

  - ### registerIgnoredJavaIds

    protected void registerIgnoredJavaIds()
    Description copied from class: `UiDefaultsMapper`
    Registers any `LookAndFeel` ids that are not used directly (e.g. "control", "text", etc.) so that these values won't get mapped to any normalized id. There is no need for these values to show up in the theme values, since changing them will have no effect. They are used to seed the values for the system color and fonts. Subclasses should override this method to add additional ids so they won't show up in the theme values.
    Overrides:
      `registerIgnoredJavaIds` in class `UiDefaultsMapper`